declare const reactTestSymbol: unique symbol;
interface Props {
    [propName: string]: any;
}
interface ReactTestRendererJSON {
    children: null | ReactTestRendererJSON[];
    props: Props;
    type: string | Function;
}
interface ReactTestRendererTree extends ReactTestRendererJSON {
    instance: any;
    nodeType: "component" | "host";
    rendered: null | ReactTestRendererTree | (ReactTestRendererTree | string)[];
}
export interface TestReactNode {
    $$typeof: typeof reactTestSymbol;
    children: (TestReactNode | string)[] | null;
    props: Props;
    type: string;
}
declare function treeToJSON<T>(tree: T | ReactTestRendererTree): T | TestReactNode;
export { treeToJSON };
